### Method

# Ide Notification withdraw_in_seconds

#### Declaration

    void
    ide_notification_withdraw_in_seconds (
      IdeNotification* self,
      gint seconds
    )

#### Description

Withdraws `self` from it’s `IdeObject` parent after `seconds` have passed.

Available since: | 3.32

#### Parameters

`seconds` | `gint`
| Number of seconds to withdraw after, or less than zero for a sensible default.